Skip to main content
GET
/
api
/
v1
/
allmodelchat
/
conversations
/
{conversation_id}
/
messages
List Messages
curl --request GET \
  --url https://api.example.com/api/v1/allmodelchat/conversations/{conversation_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "messages": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role": "<string>",
      "content": "<string>",
      "model_id": "<string>",
      "provider": "<string>",
      "cost_credits": 123,
      "token_usage": {},
      "latency_ms": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversation_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

messages
AmcMessageResponse · object[]
required
total
integer
required